cx_Oracle on 64bit architecture

I am making use of Ubuntu 10.10 64bit and also I am attempting to install cx_Oracle for python3. I took care of to install Oracle XE itself from a deborah, yet it is 386 variation. When I attempt to install cx_Oracle via easy_install3 I get:

/usr/bin/ld: cannot find -lclntsh

And prior to that:

/usr/bin/ld: skipping incompatible /usr/lib/oracle/xe/app/oracle/product/10.2.0/

What I can do to have cx_Oracle mounted?

1
2022-06-07 14:33:05
Source Share
Answers: 1

The cx - oracle very easy installer is clearly damaged. The most effective point to do is to head to the developers/packagers and also get them to create a debian plan for installment on Debian and also Ubuntu circulations. This will certainly permit the plan to be mounted with the well-known buildings of the system as opposed to presuming where points need to be.

If doubtful, report it: https://help.ubuntu.com/community/ReportingBugs

1
2022-06-10 14:00:36
Source